## xvimagesink xvimagesink |

## Properties

gboolean | autopaint-colorkey | Read / Write
gint | brightness | Read / Write
gint | colorkey | Read / Write
gint | contrast | Read / Write
gchar * | device | Read / Write
gchar * | device-name | Read
gchar * | display | Read / Write
gboolean | double-buffer | Read / Write
gboolean | draw-borders | Read / Write
gboolean | force-aspect-ratio | Read / Write
gboolean | handle-events | Read / Write
gboolean | handle-expose | Read / Write
gint | hue | Read / Write
gchar * | pixel-aspect-ratio | Read / Write
gint | saturation | Read / Write
gboolean | synchronous | Read / Write
guint64 | window-height | Read
guint64 | window-width | Read

## Types and Values

struct | GstXvImageSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstVideoSink
                            ╰── GstXvImageSink

## Implemented Interfaces

GstXvImageSink implements GstNavigation, GstVideoOverlay and GstColorBalance.

## Description

## Synopsis

### Element Information

plugin | xvimagesink
author | Julien Moutte <julien@moutte.net>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstXvImageSink

    struct GstXvImageSink;

## Property Details

### The `“autopaint-colorkey”` property

      “autopaint-colorkey”       gboolean

Whether to autofill overlay with colorkey.

Flags: Read / Write

Default value: TRUE

### The `“brightness”` property

      “brightness”               gint

The brightness of the video.

Flags: Read / Write

Allowed values: [-1000,1000]

Default value: 0

### The `“colorkey”` property

      “colorkey”                 gint

Color to use for the overlay mask.

Flags: Read / Write

Default value: 0

### The `“contrast”` property

      “contrast”                 gint

The contrast of the video.

Flags: Read / Write

Allowed values: [-1000,1000]

Default value: 0

### The `“device”` property

      “device”                   gchar *

The number of the video adaptor.

Flags: Read / Write

Default value: "0"

### The `“device-name”` property

      “device-name”              gchar *

The name of the video adaptor.

Flags: Read

Default value: NULL

### The `“display”` property

      “display”                  gchar *

X Display name.

Flags: Read / Write

Default value: NULL

### The `“double-buffer”` property

      “double-buffer”            gboolean

Whether to double-buffer the output.

Flags: Read / Write

Default value: TRUE

### The `“draw-borders”` property

      “draw-borders”             gboolean

Draw black borders to fill unused area in force-aspect-ratio mode.

Flags: Read / Write

Default value: TRUE

### The `“force-aspect-ratio”` property

      “force-aspect-ratio”       gboolean

When enabled, scaling will respect original aspect ratio.

Flags: Read / Write

Default value: TRUE

### The `“handle-events”` property

      “handle-events”            gboolean

When enabled, XEvents will be selected and handled.

Flags: Read / Write

Default value: TRUE

### The `“handle-expose”` property

      “handle-expose”            gboolean

When enabled, the current frame will always be drawn in response to X Expose events.

Flags: Read / Write

Default value: TRUE

### The `“hue”` property

      “hue”                      gint

The hue of the video.

Flags: Read / Write

Allowed values: [-1000,1000]

Default value: 0

### The `“pixel-aspect-ratio”` property

      “pixel-aspect-ratio”       gchar *

The pixel aspect ratio of the device.

Flags: Read / Write

Default value: "1/1"

### The `“saturation”` property

      “saturation”               gint

The saturation of the video.

Flags: Read / Write

Allowed values: [-1000,1000]

Default value: 0

### The `“synchronous”` property

      “synchronous”              gboolean

When enabled, runs the X display in synchronous mode. (unrelated to A/V sync, used only for debugging).

Flags: Read / Write

Default value: FALSE

### The `“window-height”` property

      “window-height”            guint64

Height of the window.

Flags: Read

Default value: 0

### The `“window-width”` property

      “window-width”             guint64

Width of the window.

Flags: Read

Default value: 0